﻿using System;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI.WebControls;

public partial class aspnet_swap_gridview_rows_columns_javascript_index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            BindGridView();
    }

    public void BindGridView()
    {
        DataTable dataTable = new DataTable();
        DataColumn[] dataColumn = new DataColumn[]
        {
                new DataColumn("Id"),
                new DataColumn("Name"),
                new DataColumn("Quantity"),
                new DataColumn("Price")
        };

        dataTable.Columns.AddRange(dataColumn);
        dataTable.Rows.Add(new object[] { 1, "Pants", 5, 10 });
        dataTable.Rows.Add(new object[] { 2, "Shirts", 6, 5 });
        dataTable.Rows.Add(new object[] { 3, "Shoes", 7, 8 });
        dataTable.Rows.Add(new object[] { 4, "Socks", 8, 9 });
        dataTable.Rows.Add(new object[] { 5, "TVs", 4, 99 });
        dataTable.Rows.Add(new object[] { 6, "CDs", 5, 2 });
        dataTable.Rows.Add(new object[] { 7, "Keyboards", 8, 3 });
        dataTable.Rows.Add(new object[] { 8, "Mouses", 3, 5 });

        gridView.DataSource = dataTable;
        gridView.DataBind();
    }
}
